"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const chalk_1 = require("chalk");
var Mixpanel = require('mixpanel');
class Run extends command_1.Command {
    constructor() {
        super(...arguments);
        this.mixpanel = Mixpanel.init('0a2a173a8daecb5124492f9d319ca429', {
            protocol: 'https'
        });
    }
    async run() {
        this.mixpanel.track('botonic_deploy');
        const c = chalk_1.default.hex('#DEADED');
        console.log(c('Hey there, thanks for giving ')
            + c.bold('Botonic')
            + c(' a try!'));
        console.log("We're still developing the first version of Botonic, which is not available yet.");
        console.log("\nWould you like to contribute or send some feedback?\nJust drop us an email at " + chalk_1.default.bold("hi@botonic.io"));
    }
}
Run.description = 'Deploy Botonic project to botonic.io cloud';
Run.examples = [
    `$ botonic deploy
Deploying...
  🚀 test_bot was successfully deployed!
`,
];
Run.args = [{ name: 'bot_name' }];
exports.default = Run;
