"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const fs = require("fs");
var Mixpanel = require('mixpanel');
class Run extends command_1.Command {
    constructor() {
        super(...arguments);
        this.mixpanel = Mixpanel.init('0a2a173a8daecb5124492f9d319ca429', {
            protocol: 'https'
        });
    }
    async run() {
        this.mixpanel.track('botonic_new');
        const { args, flags } = this.parse(Run);
        fs.mkdir(args.bot_name, err => { if (err)
            console.log(err); });
    }
}
Run.description = 'Create a new Botonic project';
Run.examples = [
    `$ botonic new test_bot
Creating...
  💫 test_bot was successfully created!
`,
];
Run.args = [{ name: 'bot_name' }];
exports.default = Run;
